# IRremoteESP8266: src/ir_Whynter.cpp File Reference

ir_Whynter.cpp File Reference

Support for Whynter protocols. Whynter A/C ARC-110WD added by Francesco Meschia Whynter originally added from https://github.com/shirriff/Arduino-IRremote/. More...

## Variables

const uint16_t | kWhynterTick = 50
const uint16_t | kWhynterHdrMarkTicks = 57
const uint16_t | kWhynterHdrMark = kWhynterHdrMarkTicks * kWhynterTick
const uint16_t | kWhynterHdrSpaceTicks = 57
const uint16_t | kWhynterHdrSpace = kWhynterHdrSpaceTicks * kWhynterTick
const uint16_t | kWhynterBitMarkTicks = 15
const uint16_t | kWhynterBitMark = kWhynterBitMarkTicks * kWhynterTick
const uint16_t | kWhynterOneSpaceTicks = 43
const uint16_t | kWhynterOneSpace = kWhynterOneSpaceTicks * kWhynterTick
const uint16_t | kWhynterZeroSpaceTicks = 15
const uint16_t | kWhynterZeroSpace = kWhynterZeroSpaceTicks * kWhynterTick
const uint16_t | kWhynterMinCommandLengthTicks = 2160
const uint32_t | kWhynterMinCommandLength
const uint16_t | kWhynterMinGapTicks
const uint16_t | kWhynterMinGap = kWhynterMinGapTicks * kWhynterTick

## Detailed Description

Support for Whynter protocols. Whynter A/C ARC-110WD added by Francesco Meschia Whynter originally added from https://github.com/shirriff/Arduino-IRremote/.

## Variable Documentation

## kWhynterBitMark

const uint16_t kWhynterBitMark = kWhynterBitMarkTicks * kWhynterTick

## kWhynterBitMarkTicks

const uint16_t kWhynterBitMarkTicks = 15

## kWhynterHdrMark

const uint16_t kWhynterHdrMark = kWhynterHdrMarkTicks * kWhynterTick

## kWhynterHdrMarkTicks

const uint16_t kWhynterHdrMarkTicks = 57

## kWhynterHdrSpace

const uint16_t kWhynterHdrSpace = kWhynterHdrSpaceTicks * kWhynterTick

## kWhynterHdrSpaceTicks

const uint16_t kWhynterHdrSpaceTicks = 57

## kWhynterMinCommandLength

const uint32_t kWhynterMinCommandLength

Initial value:
=
kWhynterMinCommandLengthTicks * kWhynterTick

## kWhynterMinCommandLengthTicks

const uint16_t kWhynterMinCommandLengthTicks = 2160

## kWhynterMinGap

const uint16_t kWhynterMinGap = kWhynterMinGapTicks * kWhynterTick

## kWhynterMinGapTicks

const uint16_t kWhynterMinGapTicks

Initial value:
=
kWhynterMinCommandLengthTicks -
(2 * (kWhynterBitMarkTicks + kWhynterZeroSpaceTicks) +
kWhynterBits * (kWhynterBitMarkTicks + kWhynterOneSpaceTicks))

## kWhynterOneSpace

const uint16_t kWhynterOneSpace = kWhynterOneSpaceTicks * kWhynterTick

## kWhynterOneSpaceTicks

const uint16_t kWhynterOneSpaceTicks = 43

## kWhynterTick

const uint16_t kWhynterTick = 50

## kWhynterZeroSpace

const uint16_t kWhynterZeroSpace = kWhynterZeroSpaceTicks * kWhynterTick

## kWhynterZeroSpaceTicks

const uint16_t kWhynterZeroSpaceTicks = 15

kWhynterBits
const uint16_t kWhynterBits
Definition: IRremoteESP8266.h:1091
kWhynterZeroSpaceTicks
const uint16_t kWhynterZeroSpaceTicks
Definition: ir_Whynter.cpp:27
kWhynterMinCommandLengthTicks
const uint16_t kWhynterMinCommandLengthTicks
Definition: ir_Whynter.cpp:29
kWhynterBitMarkTicks
const uint16_t kWhynterBitMarkTicks
Definition: ir_Whynter.cpp:23
kWhynterTick
const uint16_t kWhynterTick
Definition: ir_Whynter.cpp:18
kWhynterOneSpaceTicks
const uint16_t kWhynterOneSpaceTicks
Definition: ir_Whynter.cpp:25